%   SurfGpByTrial.m

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.  


Data=ReadAppData('One4All:Users:Karolin:CON:CON02:02:con02.02.fl40.E1.app3','all');
[NTrials,NChan,NPoints]=size(Data);
DataTmp=zeros(NChan,NPoints);
GPMat=zeros(NTrials,NPoints);
for i=1:NTrials
                                                                    
	DataTmp(:,:)=Data(i,:,:);
	DataOut=CalcBaseline(DataTmp,1,26);
	GPMat(i,:)=CalcGlobalPower(DataOut);
end
figure
surf(GPMat)
